> For the complete documentation index, see [llms.txt](https://developer.barchart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.barchart.com/market-replay-docs/api-query-types/futures-options-eod.md).

# Futures options EOD

Use this endpoint to retrieve end-of-day futures options data for a root symbol on a single date.

Request handler:

```
https://marketreplay.barchart.com/historical/futuresoptions
```

JSON handler:

```
https://marketreplay.barchart.com/historical/futuresoptions/json
```

## What this endpoint returns

This endpoint returns a futures options chain for:

* one root symbol
* one date

The CSV and JSON handlers return the same core end-of-day dataset.

Use the JSON handler when you want structured output.

If you need aggregate statistics fields, use [Futures options w/ Aggregate Statistics](/market-replay-docs/api-query-types/futures-options-w-aggregate-statistics.md).

## Parameters

Required:

* `username`
* `password`
* `root`
* `date`

`date` uses `YYYY-MM-DD` format.

## CSV response format

```
root,date,lastupdate,underlyingFuture,expirationDate,optionType,symbol,strike,type,open,high,low,settle,volume,oi,volatility,theoretical,delta,gamma,theta,vega,rho,underlying,rates,daystoexp
```

Example:

```
ZS,5/17/23,2023-05-19T10:07:12-04:00,ZSN23,6/23/23,monthly,ZS|N2023|1340-0|C,1340,Calls,39.5,41.125,29.375,29.875,510,252,0.1854,29.875,0.4939,0.005,-0.4187,1.6889,0.6391,1337,0.055,37
ZS,5/17/23,2023-05-19T10:07:12-04:00,ZSN23,6/23/23,monthly,ZS|N2023|1350-0|P,1350,Puts,24.375,39.5,24.25,38.25,1192,3613,0.1848,38.25,-0.5507,0.005,-0.4123,1.6736,-0.7851,1337,0.055,37
```

## JSON response

The JSON handler returns the same core dataset as structured objects.

It does not add aggregate stats unless your account is enabled for that dataset.

{% hint style="info" %}
Use `futuresoptions` for CSV and `futuresoptions/json` for JSON.
{% endhint %}

## Field meanings

Core output fields:

* `root` — option root symbol
* `date` — data date
* `lastupdate` — last update timestamp
* `underlyingFuture` — underlying futures contract
* `expirationDate` — option expiration date
* `optionType` — monthly, weekly, or similar
* `symbol` — Barchart option contract symbol
* `strike` — strike price
* `type` — Calls or Puts
* `open`, `high`, `low`, `settle`
* `volume`
* `oi` — open interest
* `volatility` — implied volatility
* `theoretical` — theoretical option price
* `delta`, `gamma`, `theta`, `vega`, `rho`
* `underlying` — underlying asset price
* `rates` — interest rates
* `daystoexp` — days to expiration

## Examples

### CSV example

All daily records for root `CK` on `2023-04-14`:

```
https://marketreplay.barchart.com/historical/futuresoptions?username=username&password=password&root=CK&date=2023-04-14
```

### JRelated

* [Futures options w/ Aggregate Statistics](/market-replay-docs/api-query-types/futures-options-w-aggregate-statistics.md)
* [End-of-day queries](/market-replay-docs/api-query-types/end-of-day-queries.md)
* [Quickstart](/market-replay-docs/getting-started/quickstart.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.barchart.com/market-replay-docs/api-query-types/futures-options-eod.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
